From 4a370568a45f7e8662e85d6b2cc443b48d5a9a2c Mon Sep 17 00:00:00 2001
From: Pete Rivett <pete.rivett@adaptive.com>
Date: Tue, 19 Feb 2019 12:41:14 -0800
Subject: [PATCH] Issue LCC11-2, use language tags for English/French/German
 names for Languages.

---
 Languages/ISO639-1-LanguageCodes.rdf | 1482 +++++++++++++-------------
 Languages/ISO639-2-LanguageCodes.rdf | 1362 +++++++++++------------
 2 files changed, 1422 insertions(+), 1422 deletions(-)

diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -11,25 +11,25 @@
     <!ENTITY lcc-lr "http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/" >
     <!ENTITY lcc-639-1 "http://www.omg.org/spec/LCC/Languages/ISO639-1-LanguageCodes/" >
 ]>
- 
-<rdf:RDF xml:base="http://www.omg.org/spec/LCC/Languages/ISO639-1-LanguageCodes/"
-     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
-     xmlns:owl="http://www.w3.org/2002/07/owl#"
-     xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
-     xmlns:dct="http://purl.org/dc/terms/"
-     xmlns:skos="http://www.w3.org/2004/02/skos/core#"
-	 xmlns:sm="http://www.omg.org/techprocess/ab/SpecificationMetadata/"
-     xmlns:lcc-lr="http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/"
-     xmlns:lcc-639-1="http://www.omg.org/spec/LCC/Languages/ISO639-1-LanguageCodes/">
+
+<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+         xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
+         xmlns:owl="http://www.w3.org/2002/07/owl#"
+         xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
+         xmlns:dct="http://purl.org/dc/terms/"
+         xmlns:skos="http://www.w3.org/2004/02/skos/core#"
+         xmlns:sm="http://www.omg.org/techprocess/ab/SpecificationMetadata/"
+         xmlns:lcc-lr="http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/"
+         xmlns:lcc-639-1="http://www.omg.org/spec/LCC/Languages/ISO639-1-LanguageCodes/"
+         xml:base="http://www.omg.org/spec/LCC/Languages/ISO639-1-LanguageCodes/">
 
    
     <owl:Ontology rdf:about="http://www.omg.org/spec/LCC/Languages/ISO639-1-LanguageCodes/">
         <rdfs:label>ISO 639-1 Language Codes Ontology</rdfs:label>
 
 
-    <!-- Curation and Rights Metadata for the LCC ISO 639-1  Language Codes Ontology -->
-
+      <!-- Curation and Rights Metadata for the LCC ISO 639-1  Language Codes Ontology -->
+      
         <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.</sm:copyright>
         <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Adaptive Inc.</sm:copyright>
         <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Thematix Partners LLC</sm:copyright>
@@ -37,16 +37,17 @@
         <dct:license rdf:resource="http://opensource.org/licenses/MIT"/>
 
 
-    <!-- Ontology/File-Level Metadata for the LCC ISO 639-1 Language Codes Ontology -->
-
+      <!-- Ontology/File-Level Metadata for the LCC ISO 639-1 Language Codes Ontology -->
+      
         <sm:filename rdf:datatype="&xsd;string">ISO639-1-LanguageCodes.rdf</sm:filename>
         <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-639-1</sm:fileAbbreviation>
         <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190201/Languages/ISO639-1-LanguageCodes/"/>
         <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 639 standard that provides the language names and actual codes for ISO 639-1.</sm:fileAbstract>
 
         <skos:changeNote rdf:datatype="&xsd;string">The http://www.omg.org/spec/LCC/20151101/Languages/ISO639-1-LanguageCodes.rdf version of this ontology has been revised to reflect the issues addressed by the LCC 1.0 FTF report.  The codes themselves are current as of 31 July 2017, based on the US Library of Congress site.</skos:changeNote>
-        <skos:changeNote rdf:datatype="&xsd;string">The http://www.omg.org/spec/LCC/20190201/Languages/ISO639-2-LanguageCodes.rdf version of this ontology is current as of 14 February 2019, based on the US Library of Congress site.</skos:changeNote>        <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
-
+        <skos:changeNote rdf:datatype="&xsd;string">The http://www.omg.org/spec/LCC/20190201/Languages/ISO639-2-LanguageCodes.rdf version of this ontology is current as of 14 February 2019, based on the US Library of Congress site.</skos:changeNote>        
+        <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
+      
         <sm:contentLanguage rdf:datatype="&xsd;anyURI">http://www.w3.org/standards/techs/owl#w3c_all</sm:contentLanguage>
         <sm:contentLanguage rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/ODM/</sm:contentLanguage>
 
@@ -55,17 +56,16 @@
         <rdfs:seeAlso rdf:resource="http://www.loc.gov/standards/iso639-2/php/code_list.php/"/>
 
         <owl:imports rdf:resource="http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/"/>
-
+      
     </owl:Ontology>
 
-
-    <!-- 
+  <!-- 
     ///////////////////////////////////////////////////////////////////////////////////////
     //
     // Individuals
     //
     ///////////////////////////////////////////////////////////////////////////////////////
-     -->
+     -->    
 
     <owl:NamedIndividual rdf:about="&lcc-639-1;ISO639-1-CodeSet">
         <rdf:type rdf:resource="&lcc-lr;CodeSet"/>
@@ -2105,12 +2105,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Abkhazian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Abkhazian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Abkhaz</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Abkhazian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">abkhaze</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">abkhazien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Abchasisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ap&#7765;sua bys&#382;wa</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Abkhaz</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Abkhazian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">abkhaze</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">abkhazien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Abchasisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">apṕsua bysžwa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2119,9 +2119,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Afar</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Afar language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Afar</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">afar</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Danakil-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Afar</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">afar</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Danakil-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">afar</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2131,9 +2131,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Afrikaans</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Afrikaans language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Afrikaans</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">afrikaans</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Afrikaans</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Afrikaans</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">afrikaans</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Afrikaans</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Afrikaans</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2143,9 +2143,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Akan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Akan language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Akan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">akan</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Akan</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Akan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">akan</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Akan</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">akana</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2155,9 +2155,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Albanian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Albanian languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Albanian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">albanais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Albanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Albanian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">albanais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Albanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">shqip</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2167,9 +2167,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Amharic</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Amharic language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Amharic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">amharique</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Amharisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Amharic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">amharique</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Amharisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">amarinja</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2179,10 +2179,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Arabic</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Arabic language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Arabic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">arabe</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Arabisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">&#39;arabiy</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Arabic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">arabe</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Arabisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">'arabiy</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2191,9 +2191,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Aragonese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Aragonese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Aragonese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">aragonais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Aragonesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Aragonese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">aragonais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Aragonesisch</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2202,9 +2202,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Armenian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Armenian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Armenian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">arm&#233;nien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Armenisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Armenian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">arménien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Armenisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">hayeren lezow</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2214,24 +2214,24 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Assamese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Assamese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Assamese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">assamais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Assamesisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">asam&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Assamese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">assamais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Assamesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">asamī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
     <owl:NamedIndividual rdf:about="&lcc-639-1;Avaric">
         <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
-  <rdfs:label>Avaric</rdfs:label>
+      <rdfs:label>Avaric</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Avaric language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Avaric</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Avar</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Avarish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">avar</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Awarisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">avar mac&#8225;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Avaric</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Avar</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Avarish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">avar</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Awarisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">avar mac‡</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2240,9 +2240,9 @@
         <rdf:type rdf:resource="&lcc-lr;AncientLanguage"/>
         <rdfs:label>Avestan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Avestan     language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Avestan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">avestique</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Avestisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Avestan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">avestique</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Avestisch</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2251,9 +2251,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Aymara</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Aymara language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Aymara</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">aymara</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Aymar&#225;-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Aymara</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">aymara</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Aymará-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">aymara</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2263,11 +2263,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Azerbaijani</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Azerbaijani language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Azerbaijani</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">az&#233;ri</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">azerba&#239;djanais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Aserbeidschanisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">az&#477;rbaycan dil</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Azerbaijani</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">azéri</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">azerbaïdjanais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Aserbeidschanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">azǝrbaycan dil</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2276,9 +2276,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Bambara</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Bambara language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bambara</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bambara</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bambara-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bambara</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bambara</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bambara-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bambankan</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2288,11 +2288,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Bashkir</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Bashkir language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bashkir</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bachkir</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bashkir</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Baschkirisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ba&#353;&#489;ort</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bashkir</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bachkir</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bashkir</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Baschkirisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bašǩort</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2301,9 +2301,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Basque</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Basque language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Basque</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">basque</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Baskisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Basque</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">basque</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Baskisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">euskara</lcc-lr:hasIndigenousName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">euskera</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
@@ -2314,10 +2314,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Belarusian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Belarusian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Belarusian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bi&#233;lorusse</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Wei&#223;russisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">belaruska&#226; mova</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Belarusian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">biélorusse</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Weißrussisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">belaruskaâ mova</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2326,21 +2326,21 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Bengali</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Bengali language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bangla</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bengali</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bengali</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bengali</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">b&#257;&#7749;l&#257;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bangla</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bengali</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bengali</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bengali</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bāṅlā</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
     <owl:NamedIndividual rdf:about="&lcc-639-1;BihariLanguages">
         <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
         <rdfs:label>Bihari languages</rdfs:label>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bihari languages</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">langues biharis</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bihari (Andere)</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bih&#257;r&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bihari languages</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">langues biharis</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bihari (Andere)</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bihārī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2349,10 +2349,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Bislama</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Bislama language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bislama</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bichlamar</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bislama</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Beach-la-mar</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bislama</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bichlamar</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bislama</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Beach-la-mar</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bislama</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2362,9 +2362,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Bosnian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Bosnian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bosnian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bosniaque</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bosnisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bosnian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bosniaque</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bosnisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bosanski (jezik)</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2374,9 +2374,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Breton</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Breton language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Breton</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">breton</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bretonisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Breton</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">breton</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bretonisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Brezhoneg</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2386,10 +2386,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Bulgarian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Bulgarian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Bulgarian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bulgare</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bulgarisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">b&#34;lgarski ezik</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Bulgarian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">bulgare</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bulgarisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">b"lgarski ezik</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2398,10 +2398,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Burmese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Burmese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Burmese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Myanmar</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">birman</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Birmanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Burmese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Myanmar</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">birman</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Birmanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">myanmasa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2411,12 +2411,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Catalan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Catalan language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Catalan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Valencian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">catalan</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">valencien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Katalanisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">catal&#224;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Catalan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Valencian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">catalan</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">valencien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Katalanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">català</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
